package com.chinaitop.depot;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

import com.github.pagehelper.autoconfigure.PageHelperAutoConfiguration;

@EnableFeignClients
@EnableEurekaClient
@EnableDiscoveryClient
@SpringBootApplication(exclude = PageHelperAutoConfiguration.class)
@MapperScan(basePackages = {"com.chinaitop.depot.*.mapper"})
public class DepotKeeperAccountApplication {

	public static void main(String[] args) {
		System.setProperty("druid.testWhileIdle", "true");
		System.setProperty("druid.validationQuery", "SELECT 1 FROM DUAL");
		SpringApplication.run(DepotKeeperAccountApplication.class, args);
	}
}
