package com.chinaitop.depot.common;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import com.chinaitop.depot.feign.BasicFeignClient;
import com.chinaitop.depot.feign.BusinessFile;

/**
 * @author qingsong.han
 * @description:
 * @create 2020-07-20 15:16
 */
@Component
public class HystrixClientFallback implements BasicFeignClient {
    private final static Logger logger = LoggerFactory.getLogger(HystrixClientFallback.class);

	@Override
	public void updateFile(String fileIds, Integer bid, String fileType) {
		logger.info("调用baisc中接口updateFile修改文件，没走通，才来这里了: " + fileIds+"--"+bid+"//"+fileType);
	}

	@Override
	public List<BusinessFile> getList(Integer id, String fileType, String order, Integer orgId) {
		 logger.info("文件回显: " + id +"///"+fileType+"///"+order+"////"+orgId);
		return null;
	}

	@Override
	public Map<String, Object> getIdByNameAndParentId(Integer parentId, String enumName, String code) {
		logger.info("调用baisc字典接口中getIdByNameAndParentId，没走通，才来这里了: parentId=" + parentId+"--enumName="+enumName+"----code="+code);
		return null;
	}

	@Override
	public Map<String, Object> getWareOrTankObj(String sptDataId) {
		logger.info("调用baisc货位接口中getWareOrTankObj，没走通，才来这里了: sptDataId=" + sptDataId);
		return null;
	}

}
