package com.chinaitop.depot.feign;

import com.chinaitop.depot.common.HystrixClientFallback;

import java.util.List;
import java.util.Map;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author qingsong.han
 * @description: basicWarehouse FeignService
 * @create 2020-07-20 9:20
 */
@FeignClient(name = "depot-basic", fallback = HystrixClientFallback.class)
public interface BasicFeignClient {

    @RequestMapping(value = "/depot/basic/file/updateFile", method = RequestMethod.POST)
    void updateFile(@RequestParam(value = "fileIds") String fileIds,@RequestParam(value = "bid") Integer bid,
    		@RequestParam(value = "fileType") String fileType);

    @RequestMapping(value = "/depot/basic/file/getList", method = RequestMethod.GET)
	List<BusinessFile> getList(@RequestParam(value = "bid") Integer bid, @RequestParam(value = "fileType") String fileType,@RequestParam(value = "order") String order,@RequestParam(value = "orgId") Integer orgId);

    @RequestMapping(value = "/Enum/getIdByNameAndParentId", method = RequestMethod.GET)
    Map<String, Object> getIdByNameAndParentId(@RequestParam(value = "parentId") Integer parentId,
    		@RequestParam(value = "enumName") String enumName, 
    		@RequestParam(value = "code") String code
    		);

    /**
     * 根据市平台的货位ID查询一条货位数据
     * @param sptDataId 市库对接的那个spt_dataid
     * @return
     */
    @RequestMapping(value = "/Warehouse/getWareOrTankObj", method = RequestMethod.GET)
    Map<String, Object> getWareOrTankObj(@RequestParam(value = "sptDataId") String sptDataId);
}
