package com.chinaitop.depot.profitlossStatement.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.profitlossStatement.model.StorageRksfzzqrd;
import com.chinaitop.depot.profitlossStatement.service.StorageRksfzzqrdService;
import com.github.pagehelper.PageInfo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value="/StorageRksfzzqrdController")
@Api(value= "StorageRksfzzqrdController", description = "入库水分、杂质确认单")
public class StorageRksfzzqrdController {

	final static Logger logger = LoggerFactory.getLogger(StorageRksfzzqrdController.class);

	@Resource
	private StorageRksfzzqrdService storageRksfzzqrdService;

	@RequestMapping(value="/getList",produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
    @ApiOperation(value="入库水分、杂质确认单列表", notes = "支持分页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "页码", paramType = "query"),
            @ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "query"),
            @ApiImplicitParam(name = "orgId", value = "组织机构ID", paramType = "query")
    })
    public PageInfo<StorageRksfzzqrd> getList(Integer pageNum, Integer pageSize, Integer orgId) {

        List<StorageRksfzzqrd> list = null;
        PageInfo<StorageRksfzzqrd> pageInfo = null;
		try {
			list = storageRksfzzqrdService.findByCondition(pageNum, pageSize, orgId);
			pageInfo = new PageInfo<StorageRksfzzqrd>(list);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
        return pageInfo;
    }

	@RequestMapping(value="/save",produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	@ApiOperation(value="生成入库水分、杂质确认单数据", notes = "就用一次的功能")
	@ApiImplicitParams({
        @ApiImplicitParam(name = "cfid", value = "仓房ID", paramType = "query"),
        @ApiImplicitParam(name = "orgId", value = "组织机构ID", paramType = "query")
    })
	public void save(String orgId, Integer cfid) {
		try {
			storageRksfzzqrdService.save(orgId, cfid);
		} catch (Exception e) {
			logger.error(e.getMessage(), e);
		}
	}

	@RequestMapping(value="/update",produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.POST)
	@ApiOperation(value="确认数据", notes = "")
	@ApiImplicitParams({
        @ApiImplicitParam(name = "rksfzzqrd", value = "数据对象", paramType = "form")
    })
	public Map<String, String> update(String rksfzzqrd) {
		Map<String, String> map = new HashMap<>();
		try {
			storageRksfzzqrdService.update(rksfzzqrd);
			map.put("status", "200");
			map.put("msg", "操作成功！");
		} catch (Exception e) {
			map.put("status", "500");
			map.put("msg", e.getMessage());
			logger.error(e.getMessage(), e);
		}
		return map;
	}
}
