package com.chinaitop.depot.profitlossStatement.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;

public class StorageProfitlossStatement {
   
	@ApiModelProperty(value="第一车入库时间")
	private String dycrksj;

	@ApiModelProperty(value = "主键唯一uuid")
	private String id;

	@ApiModelProperty(value = "损溢单号")
    private String sydh;

	@ApiModelProperty(value = "仓房或油罐id")
    private String cforyg;

	@ApiModelProperty(value = "货位id")
    private Integer hwid;

	@ApiModelProperty(value = "品种")
    private Integer pz;

	@ApiModelProperty(value = "明细品种")
    private Integer mxpz;

	@ApiModelProperty(value = "等级")
    private Integer dj;

	@ApiModelProperty(value = "粮食性质")
    private Integer lsxz;

	@ApiModelProperty(value = "交易合同信息")
    private String jyhtxx;

	@ApiModelProperty(value = "入库时间(最后一车)")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date rksj;

	@ApiModelProperty(value = "入库数量")
    private String rksl;

	@ApiModelProperty(value = "出库时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cksj;

	@ApiModelProperty(value = "出库数量")
    private String cksl;

	@ApiModelProperty(value = "储存年限(月份)")
    private String ccnx;

	@ApiModelProperty(value = "实际损耗数量(kg)")
    private String sjshsl;

	@ApiModelProperty(value = "入库水分")
    private String rksf;

	@ApiModelProperty(value = "入库杂质")
    private String rkzz;

	@ApiModelProperty(value = "封仓自检水分")
    private String fczjsf;

	@ApiModelProperty(value = "封仓自检杂质")
    private String fczjzz;

	@ApiModelProperty(value = "出库水分")
    private String cksf;

	@ApiModelProperty(value = "出库杂质")
    private String ckzz;

	@ApiModelProperty(value = "入库水分减量")
    private String rksfjl;

	@ApiModelProperty(value = "入库杂质减量")
    private String rkzzjl;

	@ApiModelProperty(value = "入仓环节水分杂质减量")
    private String rchjsfzzjl;

	@ApiModelProperty(value = "储存期间水分减量")
    private String ccqjsfjl;

	@ApiModelProperty(value = "储存期间杂质减量")
    private String ccqjzzjl;

	@ApiModelProperty(value = "储存期间水分杂质减量")
    private String ccqjsfzzjl;

	@ApiModelProperty(value = "倒仓出库数量")
    private String dccksl;

	@ApiModelProperty(value = "倒仓补库损耗")
    private String dcbksh;

	@ApiModelProperty(value = "实际储存损耗数量(kg)")
    private String sjccshsl;

	@ApiModelProperty(value = "保管自然损耗(kg)")
    private String bgzrsh;

	@ApiModelProperty(value = "保管自然损耗定额%")
    private String bgzrshde;

	@ApiModelProperty(value = "超耗数量")
    private String chsl;

	@ApiModelProperty(value = "储粮事故等级")
    private String clsgdj;

	@ApiModelProperty(value = "损溢原因")
    private String syyy;

	@ApiModelProperty(value = "库ID")
    private Integer orgId;

	@ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

	@ApiModelProperty(value = "更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

	@ApiModelProperty(value = "仓储审核人")
    private Integer ccshr;

	@ApiModelProperty(value = "质检审核人")
    private Integer zjshr;

	@ApiModelProperty(value = "统计审核人")
    private Integer tjshr;

	@ApiModelProperty(value = "会计审核人")
    private Integer kjshr;

	@ApiModelProperty(value = "库领导审核")
    private Integer ldshr;

	@ApiModelProperty(value = "审批状态（0待提交，1仓储审批中2质检审批3统计审批4会计审批5库领导审批，6同意，7驳回，8拒绝）")
    private Integer auditState;

	@ApiModelProperty(value = "溢余数量(kg)")
    private String yysl;

	@ApiModelProperty(value = "损失数量(kg)")
    private String sssl;

	@ApiModelProperty(value = "原仓粮食入库数量")
    private String yclsrksl;

	@ApiModelProperty(value = "入仓环节水分杂质减量合计")
    private String rchjsfzzjlhj;

	@ApiModelProperty(value = "储存期间水分杂质减量合计")
    private String ccqjsfzzjlhj;

	@ApiModelProperty(value = "仓房类型")
    private Integer cflx;

	@ApiModelProperty(value = "水杂减量合计")
    private String szjlhj;

	@ApiModelProperty(value = "保管自然损耗定额数量")
    private String bgzrshdesl;

	@ApiModelProperty(value = "保管员")
    private String keepName;//保管员
    
    private String rksj_str;//入库时间格式化
    private String cksj_str;//出库时间格式化
    private String hwdm;//国家局的货位代码

    /**
     * null
     * @return id null
     */
    public String getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * null
     * @return sydh null
     */
    public String getSydh() {
        return sydh;
    }

    /**
     * null
     * @param sydh null
     */
    public void setSydh(String sydh) {
        this.sydh = sydh == null ? null : sydh.trim();
    }

    /**
     * null
     * @return cforyg null
     */
    public String getCforyg() {
        return cforyg;
    }

    /**
     * null
     * @param cforyg null
     */
    public void setCforyg(String cforyg) {
        this.cforyg = cforyg == null ? null : cforyg.trim();
    }

    /**
     * null
     * @return hwid null
     */
    public Integer getHwid() {
        return hwid;
    }

    /**
     * null
     * @param hwid null
     */
    public void setHwid(Integer hwid) {
        this.hwid = hwid;
    }

    /**
     * null
     * @return pz null
     */
    public Integer getPz() {
        return pz;
    }

    /**
     * null
     * @param pz null
     */
    public void setPz(Integer pz) {
        this.pz = pz;
    }

    /**
     * null
     * @return mxpz null
     */
    public Integer getMxpz() {
        return mxpz;
    }

    /**
     * null
     * @param mxpz null
     */
    public void setMxpz(Integer mxpz) {
        this.mxpz = mxpz;
    }

    /**
     * null
     * @return dj null
     */
    public Integer getDj() {
        return dj;
    }

    /**
     * null
     * @param dj null
     */
    public void setDj(Integer dj) {
        this.dj = dj;
    }

    /**
     * null
     * @return lsxz null
     */
    public Integer getLsxz() {
        return lsxz;
    }

    /**
     * null
     * @param lsxz null
     */
    public void setLsxz(Integer lsxz) {
        this.lsxz = lsxz;
    }

    /**
     * null
     * @return jyhtxx null
     */
    public String getJyhtxx() {
        return jyhtxx;
    }

    /**
     * null
     * @param jyhtxx null
     */
    public void setJyhtxx(String jyhtxx) {
        this.jyhtxx = jyhtxx == null ? null : jyhtxx.trim();
    }

    /**
     * null
     * @return rksj null
     */
    public Date getRksj() {
        return rksj;
    }

    /**
     * null
     * @param rksj null
     */
    public void setRksj(Date rksj) {
        this.rksj = rksj;
    }

    /**
     * null
     * @return rksl null
     */
    public String getRksl() {
        return rksl;
    }

    /**
     * null
     * @param rksl null
     */
    public void setRksl(String rksl) {
        this.rksl = rksl == null ? null : rksl.trim();
    }

    /**
     * null
     * @return cksj null
     */
    public Date getCksj() {
        return cksj;
    }

    /**
     * null
     * @param cksj null
     */
    public void setCksj(Date cksj) {
        this.cksj = cksj;
    }

    /**
     * null
     * @return cksl null
     */
    public String getCksl() {
        return cksl;
    }

    /**
     * null
     * @param cksl null
     */
    public void setCksl(String cksl) {
        this.cksl = cksl == null ? null : cksl.trim();
    }

    /**
     * null
     * @return ccnx null
     */
    public String getCcnx() {
        return ccnx;
    }

    /**
     * null
     * @param ccnx null
     */
    public void setCcnx(String ccnx) {
        this.ccnx = ccnx == null ? null : ccnx.trim();
    }

    /**
     * null
     * @return sjshsl null
     */
    public String getSjshsl() {
        return sjshsl;
    }

    /**
     * null
     * @param sjshsl null
     */
    public void setSjshsl(String sjshsl) {
        this.sjshsl = sjshsl == null ? null : sjshsl.trim();
    }

    /**
     * null
     * @return rksf null
     */
    public String getRksf() {
        return rksf;
    }

    /**
     * null
     * @param rksf null
     */
    public void setRksf(String rksf) {
        this.rksf = rksf == null ? null : rksf.trim();
    }

    /**
     * null
     * @return rkzz null
     */
    public String getRkzz() {
        return rkzz;
    }

    /**
     * null
     * @param rkzz null
     */
    public void setRkzz(String rkzz) {
        this.rkzz = rkzz == null ? null : rkzz.trim();
    }

    /**
     * null
     * @return fczjsf null
     */
    public String getFczjsf() {
        return fczjsf;
    }

    /**
     * null
     * @param fczjsf null
     */
    public void setFczjsf(String fczjsf) {
        this.fczjsf = fczjsf == null ? null : fczjsf.trim();
    }

    /**
     * null
     * @return fczjzz null
     */
    public String getFczjzz() {
        return fczjzz;
    }

    /**
     * null
     * @param fczjzz null
     */
    public void setFczjzz(String fczjzz) {
        this.fczjzz = fczjzz == null ? null : fczjzz.trim();
    }

    /**
     * null
     * @return cksf null
     */
    public String getCksf() {
        return cksf;
    }

    /**
     * null
     * @param cksf null
     */
    public void setCksf(String cksf) {
        this.cksf = cksf == null ? null : cksf.trim();
    }

    /**
     * null
     * @return ckzz null
     */
    public String getCkzz() {
        return ckzz;
    }

    /**
     * null
     * @param ckzz null
     */
    public void setCkzz(String ckzz) {
        this.ckzz = ckzz == null ? null : ckzz.trim();
    }

    /**
     * null
     * @return rksfjl null
     */
    public String getRksfjl() {
        return rksfjl;
    }

    /**
     * null
     * @param rksfjl null
     */
    public void setRksfjl(String rksfjl) {
        this.rksfjl = rksfjl == null ? null : rksfjl.trim();
    }

    /**
     * null
     * @return rkzzjl null
     */
    public String getRkzzjl() {
        return rkzzjl;
    }

    /**
     * null
     * @param rkzzjl null
     */
    public void setRkzzjl(String rkzzjl) {
        this.rkzzjl = rkzzjl == null ? null : rkzzjl.trim();
    }

    /**
     * null
     * @return rchjsfzzjl null
     */
    public String getRchjsfzzjl() {
        return rchjsfzzjl;
    }

    /**
     * null
     * @param rchjsfzzjl null
     */
    public void setRchjsfzzjl(String rchjsfzzjl) {
        this.rchjsfzzjl = rchjsfzzjl == null ? null : rchjsfzzjl.trim();
    }

    /**
     * null
     * @return ccqjsfjl null
     */
    public String getCcqjsfjl() {
        return ccqjsfjl;
    }

    /**
     * null
     * @param ccqjsfjl null
     */
    public void setCcqjsfjl(String ccqjsfjl) {
        this.ccqjsfjl = ccqjsfjl == null ? null : ccqjsfjl.trim();
    }

    /**
     * null
     * @return ccqjzzjl null
     */
    public String getCcqjzzjl() {
        return ccqjzzjl;
    }

    /**
     * null
     * @param ccqjzzjl null
     */
    public void setCcqjzzjl(String ccqjzzjl) {
        this.ccqjzzjl = ccqjzzjl == null ? null : ccqjzzjl.trim();
    }

    /**
     * null
     * @return ccqjsfzzjl null
     */
    public String getCcqjsfzzjl() {
        return ccqjsfzzjl;
    }

    /**
     * null
     * @param ccqjsfzzjl null
     */
    public void setCcqjsfzzjl(String ccqjsfzzjl) {
        this.ccqjsfzzjl = ccqjsfzzjl == null ? null : ccqjsfzzjl.trim();
    }

    /**
     * null
     * @return dccksl null
     */
    public String getDccksl() {
        return dccksl;
    }

    /**
     * null
     * @param dccksl null
     */
    public void setDccksl(String dccksl) {
        this.dccksl = dccksl == null ? null : dccksl.trim();
    }

    /**
     * null
     * @return dcbksh null
     */
    public String getDcbksh() {
        return dcbksh;
    }

    /**
     * null
     * @param dcbksh null
     */
    public void setDcbksh(String dcbksh) {
        this.dcbksh = dcbksh == null ? null : dcbksh.trim();
    }

    /**
     * null
     * @return sjccshsl null
     */
    public String getSjccshsl() {
        return sjccshsl;
    }

    /**
     * null
     * @param sjccshsl null
     */
    public void setSjccshsl(String sjccshsl) {
        this.sjccshsl = sjccshsl == null ? null : sjccshsl.trim();
    }

    /**
     * null
     * @return bgzrsh null
     */
    public String getBgzrsh() {
        return bgzrsh;
    }

    /**
     * null
     * @param bgzrsh null
     */
    public void setBgzrsh(String bgzrsh) {
        this.bgzrsh = bgzrsh == null ? null : bgzrsh.trim();
    }

    /**
     * null
     * @return bgzrshde null
     */
    public String getBgzrshde() {
        return bgzrshde;
    }

    /**
     * null
     * @param bgzrshde null
     */
    public void setBgzrshde(String bgzrshde) {
        this.bgzrshde = bgzrshde == null ? null : bgzrshde.trim();
    }

    /**
     * null
     * @return chsl null
     */
    public String getChsl() {
        return chsl;
    }

    /**
     * null
     * @param chsl null
     */
    public void setChsl(String chsl) {
        this.chsl = chsl == null ? null : chsl.trim();
    }

    /**
     * null
     * @return clsgdj null
     */
    public String getClsgdj() {
        return clsgdj;
    }

    /**
     * null
     * @param clsgdj null
     */
    public void setClsgdj(String clsgdj) {
        this.clsgdj = clsgdj == null ? null : clsgdj.trim();
    }

    /**
     * null
     * @return syyy null
     */
    public String getSyyy() {
        return syyy;
    }

    /**
     * null
     * @param syyy null
     */
    public void setSyyy(String syyy) {
        this.syyy = syyy == null ? null : syyy.trim();
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * null
     * @return create_time null
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * null
     * @param createTime null
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * null
     * @return update_time null
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * null
     * @param updateTime null
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * null
     * @return ccshr null
     */
    public Integer getCcshr() {
        return ccshr;
    }

    /**
     * null
     * @param ccshr null
     */
    public void setCcshr(Integer ccshr) {
        this.ccshr = ccshr;
    }

    /**
     * null
     * @return zjshr null
     */
    public Integer getZjshr() {
        return zjshr;
    }

    /**
     * null
     * @param zjshr null
     */
    public void setZjshr(Integer zjshr) {
        this.zjshr = zjshr;
    }

    /**
     * null
     * @return tjshr null
     */
    public Integer getTjshr() {
        return tjshr;
    }

    /**
     * null
     * @param tjshr null
     */
    public void setTjshr(Integer tjshr) {
        this.tjshr = tjshr;
    }

    /**
     * null
     * @return kjshr null
     */
    public Integer getKjshr() {
        return kjshr;
    }

    /**
     * null
     * @param kjshr null
     */
    public void setKjshr(Integer kjshr) {
        this.kjshr = kjshr;
    }

    /**
     * null
     * @return ldshr null
     */
    public Integer getLdshr() {
        return ldshr;
    }

    /**
     * null
     * @param ldshr null
     */
    public void setLdshr(Integer ldshr) {
        this.ldshr = ldshr;
    }

    /**
     * null
     * @return audit_state null
     */
    public Integer getAuditState() {
        return auditState;
    }

    /**
     * null
     * @param auditState null
     */
    public void setAuditState(Integer auditState) {
        this.auditState = auditState;
    }

	public String getYysl() {
		return yysl;
	}

	public void setYysl(String yysl) {
		this.yysl = yysl;
	}

	public String getSssl() {
		return sssl;
	}

	public void setSssl(String sssl) {
		this.sssl = sssl;
	}

	public String getKeepName() {
		return keepName;
	}

	public void setKeepName(String keepName) {
		this.keepName = keepName;
	}

	public String getYclsrksl() {
		return yclsrksl;
	}

	public void setYclsrksl(String yclsrksl) {
		this.yclsrksl = yclsrksl;
	}

	public String getRchjsfzzjlhj() {
		return rchjsfzzjlhj;
	}

	public void setRchjsfzzjlhj(String rchjsfzzjlhj) {
		this.rchjsfzzjlhj = rchjsfzzjlhj;
	}

	public String getCcqjsfzzjlhj() {
		return ccqjsfzzjlhj;
	}

	public void setCcqjsfzzjlhj(String ccqjsfzzjlhj) {
		this.ccqjsfzzjlhj = ccqjsfzzjlhj;
	}

	public String getDycrksj() {
		return dycrksj;
	}

	public void setDycrksj(String dycrksj) {
		this.dycrksj = dycrksj;
	}

	public String getRksj_str() {
		return rksj_str;
	}

	public void setRksj_str(String rksj_str) {
		this.rksj_str = rksj_str;
	}

	public String getCksj_str() {
		return cksj_str;
	}

	public void setCksj_str(String cksj_str) {
		this.cksj_str = cksj_str;
	}

	/**
	 * 仓房类型
	 * @return
	 */
	public Integer getCflx() {
		return cflx;
	}

	/**
	 * 仓房类型
	 * @param cflx
	 */
	public void setCflx(Integer cflx) {
		this.cflx = cflx;
	}

	/**
	 * 水杂减量合计
	 * @return
	 */
	public String getSzjlhj() {
		return szjlhj;
	}

	/**
	 * 水杂减量合计
	 * @param szjlhj
	 */
	public void setSzjlhj(String szjlhj) {
		this.szjlhj = szjlhj;
	}

	/**
	 * 保管自然损耗定额数量
	 * @return
	 */
	public String getBgzrshdesl() {
		return bgzrshdesl;
	}

	/**
	 * 保管自然损耗定额数量
	 * @param bgzrshdesl
	 */
	public void setBgzrshdesl(String bgzrshdesl) {
		this.bgzrshdesl = bgzrshdesl;
	}

	/**
	 * 国家局的货位代码
	 * @return
	 */
	public String getHwdm() {
		return hwdm;
	}

	/**
	 * 国家局的货位代码
	 * @param hwdm
	 */
	public void setHwdm(String hwdm) {
		this.hwdm = hwdm;
	}

}