package com.chinaitop.depot.profitlossStatement.service;

import java.util.Map;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;

public interface DataStatisticsService {

	/**
	 * 按仓房类型统计
	 * @param endTime 出库时间(起始)
	 * @param startTime 出库时间(终止)
	 * @param orgCode 市平台库区编码
	 * @return
	 */
	Map<String, Object> selectByCflx(Integer pageNum, Integer pageSize, String startTime, String endTime, String orgCode) throws Exception;

	/**
	 * 按粮食品种统计
	 * @param endTime 出库时间(起始)
	 * @param startTime 出库时间(终止)
	 * @param orgCode 市平台库区编码
	 * @return
	 */
	Map<String, Object> selectByLspz(Integer pageNum, Integer pageSize, String startTime, String endTime, String orgCode) throws Exception;

	/**
	 * 按粮食性质统计
	 * @param endTime 出库时间(起始)
	 * @param startTime 出库时间(终止)
	 * @param orgCode 市平台库区编码
	 * @return
	 */
	Map<String, Object> selectByLsxz(Integer pageNum, Integer pageSize, String startTime, String endTime, String orgCode) throws Exception;

	/**
	 * 按库点名称统计
	 * @param endTime 出库时间(起始)
	 * @param startTime 出库时间(终止)
	 * @param orgCode 市平台库区编码
	 * @return
	 */
	Map<String, Object> selectByKdmc(Integer pageNum, Integer pageSize, String startTime, String endTime, String orgCode) throws Exception;

	/**
	 * 导出统计数据
	 * @param pageSize 
	 * @param pageNum 
	 * @param endTime 出库时间(起始)
	 * @param startTime 出库时间(终止)
	 * @param orgCode 市平台库区编码
	 * @return
	 */
	HSSFWorkbook exportData(String startTime, String endTime, String orgCode) throws Exception;
}
