package com.chinaitop.depot.profitlossStatement.service;

import java.util.List;
import java.util.Map;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import com.chinaitop.depot.profitlossStatement.model.StorageProfitlossStatement;
import com.chinaitop.depot.utils.HistoryList;

public interface StorageProfitlossStatementService {

	List<StorageProfitlossStatement> queryByExample(Integer pageNum, Integer pageSize,
			StorageProfitlossStatement storageProfitlossStatement, String sfcxsptgsj);

	List<Map<String, Object>> getCksl(Map<String, Object> map);

	int add(StorageProfitlossStatement storageProfitlossStatement);

	int update(StorageProfitlossStatement storageProfitlossStatement);

	int remove(String id);

	/**
	 * 查询一条损益单数据
	 * @param id
	 * @return
	 */
	Map<String, Object> findById(String id) throws Exception;

	Map<String, Object> submit(StorageProfitlossStatement profitlossStatement,Integer userId,String userName,String orgName);

	List<Map<String, String>> getUserRole(Integer userId);

	List<HistoryList> getAudit(Map<String, Object> modelMap);

	Map<String, Object> audit(StorageProfitlossStatement storageProfitlossStatement, Integer userId, String realName, String auditResult,
			String content,String orgName);

	/**
	 * 查询对应仓房货位的入库水分和入库杂质
	 * @param ch 仓房
	 * @param hwh 货位号
	 * @param dycrksj 第一车时间
	 * @param zhycRksj 最后一车时间
	 * @param lspz 粮食品种
	 * @param orgId 粮库ID
	 * @param cknf 出库年份
	 * @return
	 * @throws Exception
	 */
	List<Map<String, Object>> jsRksfzzData(String ch, String hwh, String dycrksj, String zhycRksj, String lspz,
			String orgId, Integer cknf) throws Exception;

	/**
	 * 查询对应仓房货位的入库水分总和和入库杂质总和
	 * @param ch 仓房
	 * @param hwh 货位号
	 * @param dycrksj 第一车时间
	 * @param zhycRksj 最后一车时间
	 * @param lspz 粮食品种
	 * @param cknf 
	 * @param orgId 
	 * @param lspz2 
	 * @param orgId 粮库ID
	 * @param cknf 出库年份
	 * @return
	 * @throws Exception
	 */
	Map<String, Object> jsRksfzzDataCount(String hwh, String dycrksj, String zhycRksj, String lspz, String lspz2, String orgId, Integer cknf) throws Exception;

	/**
	 * 
	 * @param ch 仓房
	 * @param hwh 货位号
	 * @param dycrksj 第一车时间
	 * @param zhycRksj 最后一车时间
	 * @param lspz 粮食品种
	 * @param orgId 粮库ID
	 * @param cknf 出库年份
	 * @param ywlx 业务类型(0:水分,1:杂质)
	 * @return
	 * @throws Exception
	 */
	HSSFWorkbook exportJsRksfzzDataData(String ch, String hwh, String dycrksj, String zhycRksj, String lspz,
			String orgId, Integer cknf, String ywlx) throws Exception;

	void test(String id) throws Exception;

	/**
	 * 保存或修改数据
	 * @param profitlossStatementJson
	 * @param profitlossDcjlJson
	 * @param orgId
	 */
	void saveOrUpdate(String profitlossStatementJson, String profitlossDcjlJson, Integer orgId) throws Exception;

	/**
	 * 查询损益单主表数据
	 * @param id
	 * @return
	 * @throws Exception
	 */
	StorageProfitlossStatement findByIdProfitlossStatement(String id) throws Exception;

	/**
	 * 通过库ID和货位号查询几个基础数据值
	 * @param ch
	 * @param hwh
	 * @param sfgd
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Map<String, Object> queryBasicBusinessData(Integer ch, Integer hwh, String sfgd, String startTime, String endTime) throws Exception;

	/**
	 * 查询粮情卡和倒仓入库的数据
	 * @param ch
	 * @param hwh
	 * @param zhycsj
	 * @return
	 */
	Map<String, Object> queryLqkAndDcrkData(Integer ch, Integer hwh, String zhycsj) throws Exception;

	/**
	 * 
	 * @param pageNum 页数
	 * @param pageSize 条数
	 * @param spt_hwid 市平台的货位ID
	 * @param dycrksj 第一车入库时间
	 * @param zhycRksj 最后一车入库时间
	 * @param lspzdm 粮食品种国标码
	 * @return
	 */
	Map<String, Object> jsRksfzzDataSpt(Integer pageNum, Integer pageSize, String spt_hwid, String dycrksj,
			String zhycRksj, String lspzdm) throws Exception;

}
