package com.chinaitop.depot.utils;

import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.BorderStyle;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.VerticalAlignment;

public class HSSFWorkBookUtils {

	/**
	 * 设置头部样式
	 * @param wb
	 * @return
	 */
	public static HSSFCellStyle headStyle(HSSFWorkbook wb) {
		HSSFCellStyle headStyle = wb.createCellStyle();
		HSSFFont headFont = wb.createFont();
		headFont.setFontName("黑体");
		headFont.setFontHeightInPoints((short) 18);
		headFont.setBoldweight(HSSFFont.BOLDWEIGHT_BOLD);
		headStyle.setFont(headFont);
		headStyle.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);
		headStyle.setAlignment(HSSFCellStyle.ALIGN_CENTER);
		return headStyle;
	}

	/**
	 * 设置中间的数据样式
	 * @param wb
	 * @return
	 */
	public static HSSFCellStyle contentStyle(HSSFWorkbook wb) {
		HSSFCellStyle contentStyle = wb.createCellStyle();
		HSSFFont contentFont = wb.createFont();
		contentFont.setFontName("黑体");
		contentFont.setFontHeightInPoints((short) 12);
		contentStyle.setFont(contentFont);
		contentStyle.setBorderBottom(HSSFCellStyle.BORDER_THIN); //下边框
		contentStyle.setBorderLeft(HSSFCellStyle.BORDER_THIN);//左边框
		contentStyle.setBorderTop(HSSFCellStyle.BORDER_THIN);//上边框
		contentStyle.setBorderRight(HSSFCellStyle.BORDER_THIN);
		contentStyle.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);
		contentStyle.setAlignment(HSSFCellStyle.ALIGN_CENTER);
		contentStyle.setWrapText(false);
		return contentStyle;
	}

	/**
	 * 设置脚部样式
	 * @param wb
	 * @return
	 */
	public static HSSFCellStyle titleStyle(HSSFWorkbook wb) {
		HSSFCellStyle titleStyle = wb.createCellStyle();
		HSSFFont titleFont = wb.createFont();
		titleFont.setFontName("黑体");
		titleFont.setFontHeightInPoints((short) 12);
		titleStyle.setFont(titleFont);
		return titleStyle;
	}
	
}
