package com.chinaitop.depot.utils;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

public class PageHelperUtils {

	public static String pageHelper(String datas, Integer pageNum, Integer pageSize) {
		JSONObject datasAll = JSONObject.parseObject(datas);

		String items = datasAll.getString("items");

		List<Object> list = JSONArray.parseArray(items);

		if (pageNum != null && pageSize != null) {
			PageHelper.startPage(pageNum, pageSize);
		} else {
			PageHelper.startPage(1, 10);
		}

        int pageStart = pageNum == 1 ? 0 : (pageNum - 1) * pageSize;
        int pageEnd = Math.min(list.size(), pageSize * pageNum);
        List<Object> pageResult = new LinkedList<Object>();
        if (list.size() > pageStart) {
            pageResult = new ArrayList<>(list.subList(pageStart, pageEnd));
        }
        PageInfo<Object> pageInfo = new PageInfo<Object>(pageResult);
        //获取PageInfo其他参数
        pageInfo.setTotal(list.size());
        int endRow = pageInfo.getEndRow() == 0 ? 0 : (Integer) (pageNum - 1) * pageSize + pageInfo.getEndRow() + 1;
        pageInfo.setEndRow(endRow);
        boolean hasNextPage = list.size() > pageSize * pageNum;
        pageInfo.setHasNextPage(hasNextPage);
        boolean hasPreviousPage = pageNum != 1;
        pageInfo.setHasPreviousPage(hasPreviousPage);
        pageInfo.setIsFirstPage(!hasPreviousPage);
        boolean isLastPage = list.size() > pageSize * (pageNum - 1) && list.size() <= pageSize * pageNum;
        pageInfo.setIsLastPage(isLastPage);
        //总页数
        int pages = list.size() % pageSize == 0 ? list.size() / pageSize : (list.size() / pageSize) + 1;
        pageInfo.setNavigateLastPage(pages);
//        int[] navigatePageNums = new int[pages];
//        for (int i = 1; i <= pages; i++) {
//            navigatePageNums[i - 1] = i;
//        }
        int[] navigatePageNums = initNavigatePageNums(pageNum, pages);
        pageInfo.setNavigatepageNums(navigatePageNums);
        int nextPage = pageNum < pages ? pageNum + 1 : 0;
        pageInfo.setNextPage(nextPage);
        pageInfo.setPageNum(pageNum);
        pageInfo.setPageSize(pageSize);
        pageInfo.setPages(pages);
        pageInfo.setPrePage(pageNum - 1);
        pageInfo.setSize(pageInfo.getList().size());
//        int starRow = list.size() < pageSize * pageNum ? 1 + pageSize * (pageNum - 1) : 0;
        int starRow = list.size() > 0 ? 1 + pageSize * (pageNum - 1) : 0;
        pageInfo.setStartRow(starRow);

		return JSONObject.toJSONString(pageInfo);
	}
	
	public static PageInfo<Object> pageHelper2(String datas, Integer pageNum, Integer pageSize) {
		//JSONObject datasAll = JSONObject.parseObject(datas);

		//String items = datasAll.getString("items");

		List<Object> list = JSONArray.parseArray(datas);

		if (pageNum != null && pageSize != null) {
			PageHelper.startPage(pageNum, pageSize);
		} else {
			PageHelper.startPage(1, 10);
		}

        int pageStart = pageNum == 1 ? 0 : (pageNum - 1) * pageSize;
        int pageEnd = Math.min(list.size(), pageSize * pageNum);
        List<Object> pageResult = new LinkedList<Object>();
        if (list.size() > pageStart) {
            pageResult = new ArrayList<>(list.subList(pageStart, pageEnd));
        }
        PageInfo<Object> pageInfo = new PageInfo<Object>(pageResult);
        //获取PageInfo其他参数
        pageInfo.setTotal(list.size());
        int endRow = pageInfo.getEndRow() == 0 ? 0 : (Integer) (pageNum - 1) * pageSize + pageInfo.getEndRow() + 1;
        pageInfo.setEndRow(endRow);
        boolean hasNextPage = list.size() > pageSize * pageNum;
        pageInfo.setHasNextPage(hasNextPage);
        boolean hasPreviousPage = pageNum != 1;
        pageInfo.setHasPreviousPage(hasPreviousPage);
        pageInfo.setIsFirstPage(!hasPreviousPage);
        boolean isLastPage = list.size() > pageSize * (pageNum - 1) && list.size() <= pageSize * pageNum;
        pageInfo.setIsLastPage(isLastPage);
        //总页数
        int pages = list.size() % pageSize == 0 ? list.size() / pageSize : (list.size() / pageSize) + 1;
        pageInfo.setNavigateLastPage(pages);
//        int[] navigatePageNums = new int[pages];
//        for (int i = 1; i <= pages; i++) {
//            navigatePageNums[i - 1] = i;
//        }
        int[] navigatePageNums = initNavigatePageNums(pageNum, pages);
        pageInfo.setNavigatepageNums(navigatePageNums);
        int nextPage = pageNum < pages ? pageNum + 1 : 0;
        pageInfo.setNextPage(nextPage);
        pageInfo.setPageNum(pageNum);
        pageInfo.setPageSize(pageSize);
        pageInfo.setPages(pages);
        pageInfo.setPrePage(pageNum - 1);
        pageInfo.setSize(pageInfo.getList().size());
//        int starRow = list.size() < pageSize * pageNum ? 1 + pageSize * (pageNum - 1) : 0;
        int starRow = list.size() > 0 ? 1 + pageSize * (pageNum - 1) : 0;
        pageInfo.setStartRow(starRow);

		return pageInfo;
	}

	private static int[] initNavigatePageNums(int pageNum, int pages) {

        int lastPage = pageNum + 3;

        int[] page_list = null;
        
        //总页数没有超过8页
        if (pages <= 8) {
//        	System.out.println("pages <= 8");
        	page_list = new int[pages];
        	for (int i = 0; i < pages; i++) {
        		page_list[0] = i+1;
//        		if (i == pages-1) {
//        			System.out.println(page_list[0]);
//        		} else {
//        			System.out.print(page_list[0]+",");
//        		}
        	}
        }

        //总页数超过了8页
        if (pages > 8) {
        	page_list = new int[8];
        	
        	if (lastPage >= 8) {
        		//总页数大于等于当前页数+3
            	if (pages >= lastPage) {
//            		System.out.println("pages > 8 && lastPage >= 8 && pages >= lastPage");
            		int last_nums = lastPage;
            		for (int i = 7; i >= 0; i--) {
                		page_list[i] = last_nums--;
                	}
//                	for (int i = 0; i < page_list.length; i++) {
//                		if (i == page_list.length-1) {
//                			System.out.println(page_list[i]);
//                		} else {
//                			System.out.print(page_list[i]+",");
//                		}
//                	}
            	}
            	
            	//总页数小于当前页数+3
            	if (pages < lastPage) {
//            		System.out.println("pages > 8 && lastPage >= 8 && pages < lastPage");
            		int page_num = pages;
            		for (int i = 7; i >= 0; i--) {
                		page_list[i] = page_num--;
                	}
//                	for (int i = 0; i < page_list.length; i++) {
//                		if (i == page_list.length-1) {
//                			System.out.println(page_list[i]);
//                		} else {
//                			System.out.print(page_list[i]+",");
//                		}
//                	}
            	}
        	}

        	//pageNum+3的值小于8
        	if (lastPage < 8) {
//        		System.out.println("pages > 8 && lastPage < 8");
        		for (int i = 0; i < 8; i++) {
        			page_list[i] = i + 1;
//        			if (i == 7) {
//            			System.out.println(page_list[i]);
//            		} else {
//            			System.out.print(page_list[i]+",");
//            		}
        		}
        	}
        }
		return page_list;
	}
}
