package com.chinaitop.depot.yylck.controller;

import java.util.List;

import javax.annotation.Resource;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.chinaitop.depot.unissoft.model.ResponseEntity;
import com.chinaitop.depot.yylck.model.StorageYylckDefault;
import com.chinaitop.depot.yylck.service.StorageYylckDefaultService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@SuppressWarnings("all")
@RequestMapping(value="/yylckDefaultAuditPass")
@Api(value= "StorageYylckDefaultAuditPassController", description = "审批通过溢余粮出库控制类")
@RestController
public class StorageYylckDefaultAuditPassController {

	final static Logger log = LoggerFactory.getLogger(StorageYylckDefaultController.class);

	@Resource
	private StorageYylckDefaultService storageYylckDefaultService;

	@RequestMapping(value="/getAuditPassList", method = RequestMethod.GET)
	@ApiOperation(value="溢余粮申请列表", notes = "支持分页")
	@ApiImplicitParams({
		@ApiImplicitParam(name = "pageNum", value = "页码", paramType = "query"),
        @ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "query"),
        @ApiImplicitParam(name = "storageYylckDefault", value = "数据对象", paramType = "query")
	})
	public ResponseEntity<PageInfo<StorageYylckDefault>> getAuditPassList(Integer pageNum, Integer pageSize, StorageYylckDefault storageYylckDefault) {
		PageInfo<StorageYylckDefault> pageInfo = null;
		try {
			if (StringUtils.isBlank(storageYylckDefault.getDataStatus())) {
				return ResponseEntity.failed("数据状态不能为空!");
			}
			if (pageNum != null && pageSize != null) {
	            PageHelper.startPage(pageNum, pageSize);
	        }
			List<StorageYylckDefault> list = storageYylckDefaultService.queryList(storageYylckDefault);
			pageInfo = new PageInfo<>(list);
		} catch (Exception e) {
			log.error(e.getMessage(), e);
			return ResponseEntity.failed(e.getMessage());
		}
		return ResponseEntity.ok(pageInfo);
	}
}
