package com.chinaitop.depot.yylck.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;

public class StorageYylckDefault {
	@ApiModelProperty(value = "主键唯一uuid")
	private String id;

	@ApiModelProperty(value = "申请单号")
    private String applyNo;

	@ApiModelProperty(value = "数据类型(0:溢余粮出库申请)")
    private String dataType;

	@ApiModelProperty(value = "仓房ID")
    private Integer ch;

	@ApiModelProperty(value = "货位ID")
    private Integer hwh;

	@ApiModelProperty(value = "粮食品种")
    private Integer lspz;

	@ApiModelProperty(value = "粮食等级")
    private Integer lsdj;

	@ApiModelProperty(value = "生产年份")
    private String scnf;

	@ApiModelProperty(value = "原合同ID")
    private String yhtid;

	@ApiModelProperty(value = "原合同编号")
    private String yhtbh;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value = "会议时间")
    private Date hysj;

	@ApiModelProperty(value = "参会人员")
    private String chry;

	@ApiModelProperty(value = "会议地点")
    private String hydd;

	@ApiModelProperty(value = "出售价格")
    private BigDecimal csjg;

	@ApiModelProperty(value = "附件服务器路径")
    private String fjPath;
	
	@ApiModelProperty(value = "附件名称")
    private String fjName;

	@ApiModelProperty(value = "创建人用户ID")
    private Integer cjrId;

	@ApiModelProperty(value = "创建人")
    private String cjr;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
    private Date cjsj;

	@ApiModelProperty(value = "备注")
    private String remark;

	@ApiModelProperty(value = "原合同仓房ID")
    private Integer yhtch;

	@ApiModelProperty(value = "原合同货位ID")
    private Integer yhthwh;

	@ApiModelProperty(value = "原合同粮食品种")
    private Integer yhtlspz;

	@ApiModelProperty(value = "原合同粮食性质")
    private Integer yhtlsxz;

	@ApiModelProperty(value = "原合同粮食等级")
    private Integer yhtlsdj;

	@ApiModelProperty(value = "原合同单价")
    private BigDecimal yhtdj;

	@ApiModelProperty(value = "客户ID")
    private Integer khid;

	@ApiModelProperty(value = "客户名称")
    private String khmc;

	@ApiModelProperty(value = "客户证件号")
    private String khzjh;

	@ApiModelProperty(value = "客户联系电话")
    private String khlxdh;

	@ApiModelProperty(value = "客户类型")
    private String khlx;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "最后修改时间")
    private Date updatetime;

	@ApiModelProperty(value = "库ID")
    private Integer orgId;

	@ApiModelProperty(value = "会议内容(组合后)")
    private String hynr;
	
	@ApiModelProperty(value = "数据状态(0:待提交,1:待审批,2:库领导审批中,3:审批通过,4:审批驳回)")
    private String dataStatus;

	@ApiModelProperty(value = "审批流程数据")
	private List<BusinessFlowDetail> auditList = new ArrayList<>();

	@ApiModelProperty(value = "审批流程数据ID")
	private String flowId;

	@ApiModelProperty(value = "审批流程数据状态(0:未处理,1:同意,2:驳回,3:拒绝)")
	private String sjzt;

	@ApiModelProperty(value = "当前登录用户ID")
	private String dlrUserId;

	@ApiModelProperty(value = "流程数据序号")
	private Integer xh;

	@ApiModelProperty(value = "提交人名称")
	private String tjrName;

	@ApiModelProperty(value = "处理人名称")
	private String clrName;

	@ApiModelProperty(value = "处理意见")
	private String clyj;

    /**
     * 主键唯一uuid
     * @return id 主键唯一uuid
     */
    public String getId() {
        return id;
    }

    /**
     * 主键唯一uuid
     * @param id 主键唯一uuid
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 申请单号
     * @return apply_no 申请单号
     */
    public String getApplyNo() {
        return applyNo;
    }

    /**
     * 申请单号
     * @param applyNo 申请单号
     */
    public void setApplyNo(String applyNo) {
        this.applyNo = applyNo == null ? null : applyNo.trim();
    }

    /**
     * 数据类型(0:溢余粮出库申请)
     * @return data_type 数据类型(0:溢余粮出库申请)
     */
    public String getDataType() {
        return dataType;
    }

    /**
     * 数据类型(0:溢余粮出库申请)
     * @param dataType 数据类型(0:溢余粮出库申请)
     */
    public void setDataType(String dataType) {
        this.dataType = dataType == null ? null : dataType.trim();
    }

    /**
     * 仓房ID
     * @return ch 仓房ID
     */
    public Integer getCh() {
        return ch;
    }

    /**
     * 仓房ID
     * @param ch 仓房ID
     */
    public void setCh(Integer ch) {
        this.ch = ch;
    }

    /**
     * 货位ID
     * @return hwh 货位ID
     */
    public Integer getHwh() {
        return hwh;
    }

    /**
     * 货位ID
     * @param hwh 货位ID
     */
    public void setHwh(Integer hwh) {
        this.hwh = hwh;
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 粮食等级
     * @return lsdj 粮食等级
     */
    public Integer getLsdj() {
        return lsdj;
    }

    /**
     * 粮食等级
     * @param lsdj 粮食等级
     */
    public void setLsdj(Integer lsdj) {
        this.lsdj = lsdj;
    }

    /**
     * 生产年份
     * @return scnf 生产年份
     */
    public String getScnf() {
        return scnf;
    }

    /**
     * 生产年份
     * @param scnf 生产年份
     */
    public void setScnf(String scnf) {
        this.scnf = scnf == null ? null : scnf.trim();
    }

    /**
     * 原合同ID
     * @return yhtid 原合同ID
     */
    public String getYhtid() {
        return yhtid;
    }

    /**
     * 原合同ID
     * @param yhtid 原合同ID
     */
    public void setYhtid(String yhtid) {
        this.yhtid = yhtid == null ? null : yhtid.trim();
    }

    /**
     * 原合同编号
     * @return yhtbh 原合同编号
     */
    public String getYhtbh() {
        return yhtbh;
    }

    /**
     * 原合同编号
     * @param yhtbh 原合同编号
     */
    public void setYhtbh(String yhtbh) {
        this.yhtbh = yhtbh == null ? null : yhtbh.trim();
    }

    /**
     * 会议时间
     * @return hysj 会议时间
     */
    public Date getHysj() {
        return hysj;
    }

    /**
     * 会议时间
     * @param hysj 会议时间
     */
    public void setHysj(Date hysj) {
        this.hysj = hysj;
    }

    /**
     * 参会人员
     * @return chry 参会人员
     */
    public String getChry() {
        return chry;
    }

    /**
     * 参会人员
     * @param chry 参会人员
     */
    public void setChry(String chry) {
        this.chry = chry == null ? null : chry.trim();
    }

    /**
     * 会议地点
     * @return hydd 会议地点
     */
    public String getHydd() {
        return hydd;
    }

    /**
     * 会议地点
     * @param hydd 会议地点
     */
    public void setHydd(String hydd) {
        this.hydd = hydd == null ? null : hydd.trim();
    }

    /**
     * 出售价格
     * @return csjg 出售价格
     */
    public BigDecimal getCsjg() {
        return csjg;
    }

    /**
     * 出售价格
     * @param csjg 出售价格
     */
    public void setCsjg(BigDecimal csjg) {
        this.csjg = csjg;
    }

    /**
     * 附件路径
     * @return fj_path 附件路径
     */
    public String getFjPath() {
        return fjPath;
    }

    /**
     * 附件路径
     * @param fjPath 附件路径
     */
    public void setFjPath(String fjPath) {
        this.fjPath = fjPath == null ? null : fjPath.trim();
    }

    /**
     * 附件名称
     * @return
     */
    public String getFjName() {
		return fjName;
	}

    /**
     * 附件名称
     * @param fjName
     */
	public void setFjName(String fjName) {
		this.fjName = fjName;
	}

	/**
     * 创建人
     * @return cjr 创建人
     */
    public String getCjr() {
        return cjr;
    }

    /**
     * 创建人
     * @param cjr 创建人
     */
    public void setCjr(String cjr) {
        this.cjr = cjr == null ? null : cjr.trim();
    }

    /**
     * 创建时间
     * @return cjsj 创建时间
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * 创建时间
     * @param cjsj 创建时间
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 原合同仓房ID
     * @return yhtch 原合同仓房ID
     */
    public Integer getYhtch() {
        return yhtch;
    }

    /**
     * 原合同仓房ID
     * @param yhtch 原合同仓房ID
     */
    public void setYhtch(Integer yhtch) {
        this.yhtch = yhtch;
    }

    /**
     * 原合同货位ID
     * @return yhthwh 原合同货位ID
     */
    public Integer getYhthwh() {
        return yhthwh;
    }

    /**
     * 原合同货位ID
     * @param yhthwh 原合同货位ID
     */
    public void setYhthwh(Integer yhthwh) {
        this.yhthwh = yhthwh;
    }

    /**
     * 原合同粮食品种
     * @return yhtlspz 原合同粮食品种
     */
    public Integer getYhtlspz() {
        return yhtlspz;
    }

    /**
     * 原合同粮食品种
     * @param yhtlspz 原合同粮食品种
     */
    public void setYhtlspz(Integer yhtlspz) {
        this.yhtlspz = yhtlspz;
    }

    /**
     * 原合同粮食性质
     * @return
     */
    public Integer getYhtlsxz() {
		return yhtlsxz;
	}

    /**
     * 原合同粮食性质
     * @param yhtlsxz
     */
	public void setYhtlsxz(Integer yhtlsxz) {
		this.yhtlsxz = yhtlsxz;
	}

	/**
     * 原合同粮食等级
     * @return yhtlsdj 原合同粮食等级
     */
    public Integer getYhtlsdj() {
        return yhtlsdj;
    }

    /**
     * 原合同粮食等级
     * @param yhtlsdj 原合同粮食等级
     */
    public void setYhtlsdj(Integer yhtlsdj) {
        this.yhtlsdj = yhtlsdj;
    }

    /**
     * 原合同单价
     * @return yhtdj 原合同单价
     */
    public BigDecimal getYhtdj() {
        return yhtdj;
    }

    /**
     * 原合同单价
     * @param yhtdj 原合同单价
     */
    public void setYhtdj(BigDecimal yhtdj) {
        this.yhtdj = yhtdj;
    }

    /**
     * 客户ID
     * @return khid 客户ID
     */
    public Integer getKhid() {
        return khid;
    }

    /**
     * 客户ID
     * @param khid 客户ID
     */
    public void setKhid(Integer khid) {
        this.khid = khid;
    }

    /**
     * 客户名称
     * @return khmc 客户名称
     */
    public String getKhmc() {
        return khmc;
    }

    /**
     * 客户名称
     * @param khmc 客户名称
     */
    public void setKhmc(String khmc) {
        this.khmc = khmc == null ? null : khmc.trim();
    }

    /**
     * 客户证件号
     * @return khzjh 客户证件号
     */
    public String getKhzjh() {
        return khzjh;
    }

    /**
     * 客户证件号
     * @param khzjh 客户证件号
     */
    public void setKhzjh(String khzjh) {
        this.khzjh = khzjh == null ? null : khzjh.trim();
    }

    /**
     * 客户联系电话
     * @return khlxdh 客户联系电话
     */
    public String getKhlxdh() {
        return khlxdh;
    }

    /**
     * 客户联系电话
     * @param khlxdh 客户联系电话
     */
    public void setKhlxdh(String khlxdh) {
        this.khlxdh = khlxdh == null ? null : khlxdh.trim();
    }

    /**
     * 客户类型
     * @return khlx 客户类型
     */
    public String getKhlx() {
        return khlx;
    }

    /**
     * 客户类型
     * @param khlx 客户类型
     */
    public void setKhlx(String khlx) {
        this.khlx = khlx == null ? null : khlx.trim();
    }

    /**
     * 最后修改时间
     * @return updatetime 最后修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 最后修改时间
     * @param updatetime 最后修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 库ID
     * @return org_id 库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库ID
     * @param orgId 库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 数据状态(0:待提交,1:待审批,2:库领导审批中,3:审批通过,4:审批驳回)
     * @return data_status 数据状态(0:待提交,1:待审批,2:库领导审批中,3:审批通过,4:审批驳回)
     */
    public String getDataStatus() {
        return dataStatus;
    }

    /**
     * 数据状态(0:待提交,1:待审批,2:库领导审批中,3:审批通过,4:审批驳回)
     * @param dataStatus 数据状态(0:待提交,1:待审批,2:库领导审批中,3:审批通过,4:审批驳回)
     */
    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus == null ? null : dataStatus.trim();
    }

    /**
     * 会议内容(组合后)
     * @return hynr 会议内容(组合后)
     */
    public String getHynr() {
        return hynr;
    }

    /**
     * 会议内容(组合后)
     * @param hynr 会议内容(组合后)
     */
    public void setHynr(String hynr) {
        this.hynr = hynr == null ? null : hynr.trim();
    }
    
    /**
     * 创建人用户ID
     * @return
     */
    public Integer getCjrId() {
		return cjrId;
	}

    /**
     * 创建人用户ID
     * @param cjrId
     */
	public void setCjrId(Integer cjrId) {
		this.cjrId = cjrId;
	}

	/**
     * 审批流程数据
     * @return
     */
	public List<BusinessFlowDetail> getAuditList() {
		return auditList;
	}

	/**
	 * 审批流程数据
	 * @param detail
	 */
	public void setAuditList(List<BusinessFlowDetail> auditList) {
		this.auditList = auditList;
	}

	public String getFlowId() {
		return flowId;
	}

	public void setFlowId(String flowId) {
		this.flowId = flowId;
	}

	public String getSjzt() {
		return sjzt;
	}

	public void setSjzt(String sjzt) {
		this.sjzt = sjzt;
	}

	public String getDlrUserId() {
		return dlrUserId;
	}

	public void setDlrUserId(String dlrUserId) {
		this.dlrUserId = dlrUserId;
	}

	public Integer getXh() {
		return xh;
	}

	public void setXh(Integer xh) {
		this.xh = xh;
	}

	public String getTjrName() {
		return tjrName;
	}

	public void setTjrName(String tjrName) {
		this.tjrName = tjrName;
	}

	public String getClrName() {
		return clrName;
	}

	public void setClrName(String clrName) {
		this.clrName = clrName;
	}

	public String getClyj() {
		return clyj;
	}

	public void setClyj(String clyj) {
		this.clyj = clyj;
	}

}