package com.chinaitop.depot.yylck.service;

import java.util.List;

import com.chinaitop.depot.yylck.model.StorageYylcktzd;

public interface StorageYylcktzdService {

	/**
	 * 查询溢余粮出库通知单列表
	 * @param storageYylcktzd 参数对象
	 * @param ckjssj_str 出库开始时间字符串
	 * @param ckkssj_str 出库完成时间字符串
	 * @return
	 * @throws Exception
	 */
	public List<StorageYylcktzd> getList(StorageYylcktzd storageYylcktzd, String ckkssj_str, String ckjssj_str) throws Exception;

	/**
	 * 溢余粮出库通知单数据保存
	 * @param yylcktzdObj 参数对象
	 * @throws Exception
	 */
	public void saveOrUpdate(String yylcktzdObj) throws Exception;

	/**
	 * 查询一条溢余粮出库通知单数据
	 * @param id 数据ID
	 * @return
	 * @throws Exception
	 */
	public StorageYylcktzd findById(String id) throws Exception;

	/**
	 * 删除一条溢余粮出库通知单数据
	 * @param id 数据ID
	 * @throws Exception
	 */
	public void deleteObj(String id) throws Exception;

	/**
	 * 获取溢余粮出库通知单编号
	 * @param orgId 库ID
	 * @return
	 * @throws Exception
	 */
	public String getYylcktzdNo(Integer orgId) throws Exception;
}
